org.opengis.cite.ogcapifeatures10

## Enum TestRunArg

- java.lang.Object
- - java.lang.Enum<TestRunArg>
  - - org.opengis.cite.ogcapifeatures10.TestRunArg

- All Implemented Interfaces:
    Serializable, Comparable<TestRunArg>

      public enum TestRunArg
      extends Enum<TestRunArg>

  An enumerated type defining all recognized test run arguments.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IUT` An absolute URI that refers to a representation of the test subject or metadata about it.
    `NOOFCOLLECTIONS` The number of collections to test (a value less or equal to 0 means all collections).

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static TestRunArg` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TestRunArg[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IUT

          public static final TestRunArg IUT

      An absolute URI that refers to a representation of the test subject or metadata about it.

    - #### NOOFCOLLECTIONS

          public static final TestRunArg NOOFCOLLECTIONS

      The number of collections to test (a value less or equal to 0 means all collections).

  - ### Method Detail

    - #### values

          public static TestRunArg[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TestRunArg c : TestRunArg.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TestRunArg valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<TestRunArg>`

Copyright © 2023 Open Geospatial Consortium. All rights reserved.